Oracle Coherence for C++ API
Release 3.6.0.0
E15728-01

- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Character16 Class Reference

`#include <coherence/lang/Character16.hpp>`

Inherits Primitive< char16_t >, and Comparable.

List of all members.

## Detailed Description

An immutable 16-bit Unicode character value.

Author:
  jh 2008.04.01

## Public Types
typedef spec::Handle | Handle
| Character16 Handle definition.
typedef spec::View | View
| Character16 View definition.
typedef spec::Holder | Holder
| Character16 Holder definition.
## Public Member Functions
virtual bool | isASCII () const
| Returns: true if this is an ASCII (ISO-8859-1) Character16
virtual int32_t | compareTo (Object::View v) const
  | Compare this object with the specified object for order. Return a negative integer, zero, or a positive integer if this object is less than, equal to, or greater than the specified object. It is strongly recommended, but not strictly required, that `(x->compareTo(y) == 0) == (x->equals(y))`. Parameters:
  | v | the Object to be compared
  Returns: a negative integer, zero, or a positive integer if this object is less than, equal to, or greater than the specified object Exceptions:
  | ClassCastException | if the specified Object's type prevents it from being compared to this Object
## Static Public Member Functions
static Handle | valueOf (char16_t ch)
| Factory method to produce Character16 objects with an optimization that uses cached objects for all relatively-low values.
## Static Public Attributes
static const char16_t | MIN_VALUE
| A constant for the minimum representable value.
static const char16_t | MAX_VALUE
| A constant for the maximum representable value.

## Member Function Documentation

static Handle valueOf | ( | char16_t | ch | ) | `[static]`

Factory method to produce Character16 objects with an optimization that uses cached objects for all relatively-low values.

Parameters:

  | ch | an char16_t

Returns:
  an Character16 whose value is the passed char16_t

The documentation for this class was generated from the following file:

- coherence/lang/Character16.hpp

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.